<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.logging.logging-profile.syslog-handler">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="app-name,enabled,facility,hostname,level,named-formatter,port,server-address,syslog-format"/>
        <elem name="addr-params" value="profile,subsystem,logging-profile,syslog-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.handler.$logging-profile.$syslog-handler"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.formatter.$named-formatter" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging.logging-profile"/>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="level" nillable="true"/>
        <param name="syslog-format" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="syslog-handler" feature-id="true"/>
        <param name="enabled" nillable="true"/>
        <param name="logging-profile" feature-id="true"/>
        <param name="app-name" nillable="true"/>
        <param name="hostname" nillable="true"/>
        <param name="server-address" nillable="true"/>
        <param name="port" nillable="true"/>
        <param name="named-formatter" nillable="true"/>
        <param name="facility" nillable="true"/>
    </params>
</feature-spec>